import React from 'react';
import { Text } from 'react-native';
import { Translator as BaseTranslator } from 's-i18n';

/**
 * Translator class
 */
export class Translator extends BaseTranslator {
  getWrappedElement = message => <Text>{message}</Text>;

  formatResult = retval => this.getWrappedElement(retval);

  /**
   * Substitutes the message with symbols
   *
   * @param {String} message
   */
  debugMode(message) {
    return <Text>{'-'.repeat(message.length)}</Text>;
  }
}
