import React, { Component } from 'react';
import { View, Text } from 'react-native';
import { Translator } from '../Translator';
import i18n_config from 's-i18n.config';
import translations from 'i18n';

const t = new Translator(i18n_config, translations);

t.setLanguage('fr');

const _ = t.t.bind(t);

test('Supports basic translation', () => {
  expect(_('Extract me')).toEqual(<Text>Extrais moi</Text>);
});

test('Supports a component as placeholder', () => {
  expect(_('hello {user}', { user: <Text>Mehdi</Text> })).toEqual(
    <Text>
      <Text>bonjour </Text>
      <Text>Mehdi</Text>
    </Text>
  );
});
